package org.wbconfig;

import org.eclipse.jface.action.Separator;
import org.eclipse.jface.action.ToolBarManager;
import org.eclipse.swt.SWT;
import org.wbconfig.action.ActionMap;
import org.wbconfig.action.file.OpenAction;
import org.wbconfig.action.file.PreviewAction;
import org.wbconfig.action.file.QuitAction;
import org.wbconfig.action.file.SaveAction;
import org.wbconfig.action.file.SaveAsAction;
import org.wbconfig.resource.ResourceManager;

/**
 * AppToolBarManager.java
 * @author Xavier Cho
 * @version $Revision: 1.6 $ $Date: 2004/01/31 06:07:53 $
 */
public class AppToolBarManager extends ToolBarManager {
    private ActionMap actions;

    public AppToolBarManager(final WBConfig application) {
        this(application, SWT.FLAT | SWT.WRAP);
    }

    public AppToolBarManager(final WBConfig application, final int style) {
        super(style);

        if (application == null) {
            SWT.error(SWT.ERROR_NULL_ARGUMENT);
        }

        this.actions = application.getActionMap();

        initialize();
    }

    protected void initialize() {
        ResourceManager resources = ResourceManager.getInstance();

        add(actions.get(OpenAction.class));
        add(actions.get(SaveAction.class));
        add(actions.get(SaveAsAction.class));
        add(new Separator());
        add(actions.get(PreviewAction.class));
        //add(new Separator());
        //add(actions.get(SettingsAction.class));
        add(new Separator());
        add(actions.get(QuitAction.class));
    }
}
