package org.wbconfig.widget;

import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.dialogs.IconAndMessageDialog;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.wbconfig.resource.ResourceManager;

/**
 * AboutDialog.java
 * @author Xavier Cho
 * @version $Revision: 1.3 $ $Date: 2004/01/31 06:07:53 $
 */
public class AboutDialog extends IconAndMessageDialog {
    private Image image;

    /**
     * @param parent
     */
    public AboutDialog(final Shell parent) {
        super(parent);

        ResourceManager resources = ResourceManager.getInstance();
        this.image = resources.getImage("icon.big");

        StringBuffer buffer = new StringBuffer();
        buffer.append(resources.getString("application.title"));
        buffer.append("\n\n");
        buffer.append(resources.getString("about.message"));
        buffer.append("\n\n");
        buffer.append(resources.getString("about.credit"));
        buffer.append("\n\n");
        buffer.append(resources.getString("about.purpose"));

        this.message = buffer.toString();

        setBlockOnOpen(true);
    }

    /**
     * @see org.eclipse.jface.dialogs.IconAndMessageDialog#getImage()
     */
    protected Image getImage() {
        return image;
    }

    /**
     * @see org.eclipse.jface.window.Window#configureShell(org.eclipse.swt.widgets.Shell)
     */
    protected void configureShell(final Shell shell) {
        super.configureShell(shell);

        ResourceManager resources = ResourceManager.getInstance();
        shell.setText(resources.getString("title.about"));
    }

    /**
     * @see org.eclipse.jface.dialogs.Dialog#createButtonsForButtonBar(org.eclipse.swt.widgets.Composite)
     */
    protected void createButtonsForButtonBar(final Composite parent) {
        createButton(
            parent,
            IDialogConstants.OK_ID,
            IDialogConstants.OK_LABEL,
            true);
    }

    /**
     * @see org.eclipse.jface.dialogs.IconAndMessageDialog#createMessageArea(org.eclipse.swt.widgets.Composite)
     */
    protected Control createMessageArea(final Composite parent) {
        return super.createMessageArea(parent);
    }

    /**
     * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
     */
    protected Control createDialogArea(final Composite parent) {
        createMessageArea(parent);

        return super.createDialogArea(parent);
    }

    /**
     * @see org.eclipse.jface.window.Window#create()
     */
    public void create() {
        super.create();
        getContents().pack();
    }
}
