package org.wbconfig.widget;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.wbconfig.resource.ResourceManager;

/**
 * AboutTab.java
 *
 * @author Xavier Cho
 * @version $Revision: 1.4 $ $Date: 2004/01/19 02:11:57 $
 */
public class AboutTab extends ConfigurationTab {
    private static Log log = LogFactory.getLog(AboutTab.class);

    public AboutTab() {
    }

    /**
     * @param title
     */
    public AboutTab(final String title) {
        super(title);
    }

    /**
     * @param title
     * @param image
     */
    public AboutTab(final String title, final ImageDescriptor image) {
        super(title, image);
    }

    /**
     * @see org.eclipse.jface.preference.PreferencePage#createContents(org.eclipse.swt.widgets.Composite)
     */
    protected Control createContents(final Composite parent) {
        Composite panel = new Composite(parent, SWT.NULL);

        GridLayout layout = new GridLayout(1, true);
        layout.marginWidth = 0;
        layout.marginHeight = 0;

        panel.setLayout(layout);

        ResourceManager resources = ResourceManager.getInstance();

        CLabel label = new CLabel(panel, SWT.NULL);
        label.setImage(resources.getImage("image.splash"));
        label.setAlignment(SWT.CENTER);

        GridData data = new GridData(GridData.FILL_BOTH);
        label.setLayoutData(data);

        return panel;
    }
}